Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.WebSite.Library
Imports CharterDotCom.WebSite.Library.BLCommon

Partial Class Visitors_EnterInformation
    Inherits CharterCMSPage

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Enter Your Information")

    Dim acct As IAccount = AccountManager.Instance.GetAccount()
    If acct IsNot Nothing Then
            If Not (acct.AffliateID = CharterDotCom.CommonEntities.Library.Common.m_CHARTER_AFFLIATE_ID) Then
                Response.Redirect("AffiliateEnterInformation.aspx")
            End If
    End If

    If Not Page.IsPostBack Then
      Me.Master.OrphanPage = True

      Dim account As IAccount                         'added
      account = AccountManager.Instance.GetAccount()  'added
      ucEnterInformation.Account = account            'added

      If AccountManager.Instance.GetAccount().ExistingService IsNot Nothing Then
        ucOrderStep.Visible = False
        ucOrderStep2.Visible = True
        ucEnterInformation.IsExistingUser = True
      Else
        ucOrderStep.Visible = True
        ucOrderStep2.Visible = False
        ucEnterInformation.IsExistingUser = False
      End If

      Dim catalog As ICatalog
      catalog = CatalogManager.Instance.GetCatalog
      ' assign shopping cart's cart property
      ucShoppingCart.Cart = catalog.Cart

    End If
	End Sub

  Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
    Me.ucShoppingCart.HBXInfo_PageName = Me.Master.HBXPageName
    Me.ucShoppingCart.HBXInfo_MLC = Me.Master.HBXMLC
  End Sub
End Class